#include<bits/stdc++.h>
using namespace std;
vector<string>v;
bool run(string& a){
    long long br=0;
    for (long long i=0;i<a.size();i++){
        for (int j=0;j<a.size();j++){
            if (j==i) continue;
            if (a[i]==a[j]) br++;
        }
        if (br%2!=0){
            return true;
        }
    }
    return false;
}
int main (){
    int n;
    cin >> n;
    string a;
    for (int i=0;i<n;i++){
        cin >> a;
        v.push_back(a);
    }
    for (int i=0;i<n;i++){
        cout << run(v[i]);
    }
    return 0;
}
